DistributerDef (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.DistributerDef class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class DistributerDef

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              net.sf.antcontrib.cpptasks.DistributerDef

    public final class DistributerDef

extends org.apache.tools.ant.types.DataType

Distributed build information (Non-functional prototype).

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DistributerDef()` Constructor.

Method Summary
`DistributerMap` | `createMap()` Local to remote filename maps.
`void` | `execute()` Required by documentation generator.
`java.lang.String` | `getHosts()` Gets hosts.
`DistributerProtocolEnum` | `getProtocol()` Gets protocol.
`int` | `getTcpcork()` Gets tcp cork.
`boolean` | `isActive()` Returns true if the if and unless conditions (if any) are satisfied.
`void` | `setHosts(java.lang.String value)` Sets hosts.
`void` | `setId(java.lang.String id)` Sets an id that can be used to reference this element.
`void` | `setIf(java.lang.String propName)` Sets the property name for the 'if' condition.
`void` | `setProtocol(DistributerProtocolEnum value)` Sets protocol.
`void` | `setRefid(org.apache.tools.ant.types.Reference r)` Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location.
`void` | `setTcpcork(int value)` Sets TCP_CORK value.
`void` | `setUnless(java.lang.String propName)` Set the property name for the 'unless' condition.
`void` | `setUser(java.lang.String value)` Sets remote user name.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributerDef

    public DistributerDef()

  Constructor.

Method Detail

### execute

    public void execute()

  Required by documentation generator.

### isActive

    public boolean isActive()

  Returns true if the if and unless conditions (if any) are satisfied.

  Returns:
    true if definition is active.

### setId

    public void setId(java.lang.String id)

  Sets an id that can be used to reference this element.

  Parameters:
    `id` - id

### setIf

    public void setIf(java.lang.String propName)

  Sets the property name for the 'if' condition. The define will be ignored unless the property is defined. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") will throw an exception when evaluated.

  Parameters:
    `propName` - property name

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference r)

  Specifies that this element should behave as if the content of the element with the matching id attribute was inserted at this location. If specified, no other attributes should be specified.

  Overrides:
    `setRefid` in class `org.apache.tools.ant.types.DataType`
  Parameters:
    `r` - reference name

### setUnless

    public void setUnless(java.lang.String propName)

  Set the property name for the 'unless' condition. If named property is set, the define will be ignored. The value of the property is insignificant, but values that would imply misinterpretation ("false", "no") of the behavior will throw an exception when evaluated.

  Parameters:
    `propName` - name of property

### getHosts

    public java.lang.String getHosts()

  Gets hosts.

  Returns:
    hosts, may be null.

### getTcpcork

    public int getTcpcork()

  Gets tcp cork.

  Returns:
    TCP_CORK value.

### getProtocol

    public DistributerProtocolEnum getProtocol()

  Gets protocol.

  Returns:
    protocol, may be null.

### setHosts

    public void setHosts(java.lang.String value)

  Sets hosts.

  Parameters:
    `value` - new value

### setTcpcork

    public void setTcpcork(int value)

  Sets TCP_CORK value.

  Parameters:
    `value` - new value

### setProtocol

    public void setProtocol(DistributerProtocolEnum value)

  Sets protocol.

  Parameters:
    `value` - new value

### createMap

    public DistributerMap createMap()

  Local to remote filename maps.

  Returns:
    new map

### setUser

    public void setUser(java.lang.String value)

  Sets remote user name.

  Parameters:
    `value` - user name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.